ListPipelineJobPostings
curl --request POST \
--url https://edge.sterndesk.com/rpc/rpc.v1.OrganizationService/ListPipelineJobPostings \
--header 'Authorization: Bearer <token>' \
--header 'Connect-Protocol-Version: <connect-protocol-version>' \
--header 'Content-Type: application/json' \
--data '
{
"pipelineId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://edge.sterndesk.com/rpc/rpc.v1.OrganizationService/ListPipelineJobPostings"
payload = { "pipelineId": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Connect-Protocol-Version": "<connect-protocol-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Connect-Protocol-Version': '<connect-protocol-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({pipelineId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://edge.sterndesk.com/rpc/rpc.v1.OrganizationService/ListPipelineJobPostings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"shortId": "<string>",
"pipelineId": "<string>",
"organizationId": "<string>",
"careerSiteId": "<string>",
"title": "<string>",
"state": "JOB_POSTING_STATE_UNSPECIFIED"
}
]
}{
"code": "not_found",
"message": "<string>",
"details": [
{
"type": "<string>",
"value": "<string>",
"debug": {}
}
]
}rpc.v1.OrganizationService
ListPipelineJobPostings
List job postings for the pipeline
POST
/
rpc
/
rpc.v1.OrganizationService
/
ListPipelineJobPostings
ListPipelineJobPostings
Authorizations
Personal API key, sent as Authorization: Bearer <key>.
Headers
Define the version of the Connect protocol
Example:
1
Define the timeout, in ms
Example:
1000
Body
application/json
request for listing the pipeline's job postings
id of the pipeline for which the job posting is being created
Response
Success
response from listing job postings
items of job posts.
Show child attributes
Show child attributes